Skip to main content
POST
/
v1
/
textTranslations
curl --request POST \
  --url https://eu.phrase.com/smt/api/v1/textTranslations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sourceLang": {
    "code": "en"
  },
  "sourceText": "Hello, world!",
  "targetLang": {
    "code": "cs"
  },
  "mtSettings": {
    "profile": {
      "uid": "CFUki8ptanoz1WAIYoXSH4"
    }
  }
}
'
{
  "sourceLang": {
    "code": "en"
  },
  "translatedText": "Ahoj, světe!",
  "targetLang": {
    "code": "cs"
  }
}

Authorizations

Authorization
string
header
required

Provide Authorization header with token obtained through Login operation.

Body

application/json
sourceText
string
required
targetLang
object
required
sourceLang
object
mtSettings
object

Response

Response with translations

translatedText
string
required

Translated text

sourceLang
object
required
targetLang
object
required